summaryrefslogtreecommitdiff
path: root/net-analyzer/ncrack
diff options
context:
space:
mode:
Diffstat (limited to 'net-analyzer/ncrack')
-rw-r--r--net-analyzer/ncrack/ncrack-scm.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/net-analyzer/ncrack/ncrack-scm.ebuild b/net-analyzer/ncrack/ncrack-scm.ebuild
new file mode 100644
index 0000000..460b35c
--- /dev/null
+++ b/net-analyzer/ncrack/ncrack-scm.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit base versionator git-r3
+
+EGIT_REPO_URI="https://github.com/nmap/ncrack"
+
+
+DESCRIPTION="a high-speed network authentication cracking tool"
+HOMEPAGE="http://nmap.org/ncrack/"
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="ssh ssl"
+
+RDEPEND="ssl? ( dev-libs/openssl )
+ ssh? ( net-misc/openssh )"
+DEPEND="${RDEPEND}"
+
+DOCS=( CHANGELOG docs/{AUTHORS,TODO,{devguide,mirror_pool,ncrack\.usage,openssh-library}.txt} )
+
+
+src_configure() {
+ econf --with-openssl=$(use ssl && echo yes || echo no) \
+ --with-openssh=$(use ssh && echo yes || echo no)
+}
+
+src_install() {
+ base_src_install
+ doman docs/${PN}.1 || die "doman failed"
+}